# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

_Public Classes_

* [`candlepin`](#candlepin): 

_Private Classes_

* `candlepin::config`: Configuration for Candlepin
* `candlepin::database::mysql`: Candlepin Database Setup using Mysql
* `candlepin::database::postgresql`: Candlepin Database Setup using Postgresql
* `candlepin::install`: Candlepin installation packages
* `candlepin::params`: Candlepin params
* `candlepin::qpid`: Qpid setup for Candlepin
* `candlepin::repo`: Manage the yum repository
* `candlepin::service`: Candlepin Service and Initialization

## Classes

### candlepin

The candlepin class.

#### Parameters

The following parameters are available in the `candlepin` class.

##### `manage_db`

Data type: `Boolean`



Default value: $candlepin::params::manage_db

##### `init_db`

Data type: `Boolean`



Default value: $candlepin::params::init_db

##### `db_type`

Data type: `Enum['postgresql','mysql']`



Default value: $candlepin::params::db_type

##### `db_host`

Data type: `String`



Default value: $candlepin::params::db_host

##### `db_port`

Data type: `Optional[Integer[0, 65535]]`



Default value: $candlepin::params::db_port

##### `db_ssl`

Data type: `Boolean`



Default value: $candlepin::params::db_ssl

##### `db_ssl_verify`

Data type: `Boolean`



Default value: $candlepin::params::db_ssl_verify

##### `db_name`

Data type: `String`



Default value: $candlepin::params::db_name

##### `db_user`

Data type: `String`



Default value: $candlepin::params::db_user

##### `db_password`

Data type: `String`



Default value: $candlepin::params::db_password

##### `crl_file`

Data type: `Stdlib::Absolutepath`



Default value: $candlepin::params::crl_file

##### `user_groups`

Data type: `Variant[Array[String], String]`



Default value: $candlepin::params::user_groups

##### `log_dir`

Data type: `Stdlib::Absolutepath`



Default value: $candlepin::params::log_dir

##### `oauth_key`

Data type: `String`



Default value: $candlepin::params::oauth_key

##### `oauth_secret`

Data type: `String`



Default value: $candlepin::params::oauth_secret

##### `env_filtering_enabled`

Data type: `Boolean`



Default value: $candlepin::params::env_filtering_enabled

##### `keystore_file`

Data type: `String`



Default value: $candlepin::params::keystore_file

##### `keystore_password`

Data type: `Optional[String]`



Default value: $candlepin::params::keystore_password

##### `keystore_type`

Data type: `String`



Default value: $candlepin::params::keystore_type

##### `truststore_file`

Data type: `String`



Default value: $candlepin::params::truststore_file

##### `truststore_password`

Data type: `Optional[String]`



Default value: $candlepin::params::truststore_password

##### `amqp_keystore`

Data type: `Stdlib::Absolutepath`



Default value: $candlepin::params::amqp_keystore

##### `amqp_keystore_password`

Data type: `Optional[String]`



Default value: $candlepin::params::amqp_keystore_password

##### `amqp_truststore`

Data type: `Stdlib::Absolutepath`



Default value: $candlepin::params::amqp_truststore

##### `amqp_truststore_password`

Data type: `Optional[String]`



Default value: $candlepin::params::amqp_truststore_password

##### `ca_key`

Data type: `Stdlib::Absolutepath`



Default value: $candlepin::params::ca_key

##### `ca_cert`

Data type: `Stdlib::Absolutepath`



Default value: $candlepin::params::ca_cert

##### `ca_key_password`

Data type: `Optional[String]`



Default value: $candlepin::params::ca_key_password

##### `qpid_hostname`

Data type: `String`



Default value: $candlepin::params::qpid_hostname

##### `qpid_ssl_port`

Data type: `Integer[0,65535]`



Default value: $candlepin::params::qpid_ssl_port

##### `qpid_ssl_cert`

Data type: `Optional[Stdlib::Absolutepath]`



Default value: $candlepin::params::qpid_ssl_cert

##### `qpid_ssl_key`

Data type: `Optional[Stdlib::Absolutepath]`



Default value: $candlepin::params::qpid_ssl_key

##### `ciphers`

Data type: `Array[String]`



Default value: $candlepin::params::ciphers

##### `tls_versions`

Data type: `Array[String]`



Default value: $candlepin::params::tls_versions

##### `version`

Data type: `String`



Default value: $candlepin::params::version

##### `wget_version`

Data type: `String`



Default value: $candlepin::params::wget_version

##### `run_init`

Data type: `Boolean`



Default value: $candlepin::params::run_init

##### `adapter_module`

Data type: `Optional[String]`



Default value: $candlepin::params::adapter_module

##### `amq_enable`

Data type: `Boolean`



Default value: $candlepin::params::amq_enable

##### `enable_hbm2ddl_validate`

Data type: `Boolean`



Default value: $candlepin::params::enable_hbm2ddl_validate

##### `enable_basic_auth`

Data type: `Boolean`



Default value: $candlepin::params::enable_basic_auth

##### `enable_trusted_auth`

Data type: `Boolean`



Default value: $candlepin::params::enable_trusted_auth

##### `consumer_system_name_pattern`

Data type: `Optional[String]`



Default value: $candlepin::params::consumer_system_name_pattern

##### `ssl_port`

Data type: `Integer[0, 65535]`



Default value: $candlepin::params::ssl_port

##### `candlepin_conf_file`

Data type: `Stdlib::Absolutepath`



Default value: $candlepin::params::candlepin_conf_file

##### `manage_repo`

Data type: `Boolean`



Default value: $candlepin::params::manage_repo

##### `repo_version`

Data type: `String`



Default value: $candlepin::params::repo_version

##### `repo_gpgcheck`

Data type: `Boolean`



Default value: $candlepin::params::repo_gpgcheck

##### `repo_gpgkey`

Data type: `Optional[String]`



Default value: $candlepin::params::repo_gpgkey

##### `tomcat_base`

Data type: `Stdlib::Absolutepath`



Default value: $candlepin::params::tomcat_base

##### `java_home`

Data type: `Stdlib::Absolutepath`



Default value: $candlepin::params::java_home

##### `catalina_home`

Data type: `Stdlib::Absolutepath`



Default value: $candlepin::params::catalina_home

##### `catalina_tmpdir`

Data type: `Stdlib::Absolutepath`



Default value: $candlepin::params::catalina_tmpdir

##### `java_opts`

Data type: `String`



Default value: $candlepin::params::java_opts

##### `lang`

Data type: `Optional[String]`



Default value: $candlepin::params::lang

##### `security_manager`

Data type: `Boolean`



Default value: $candlepin::params::security_manager

##### `shutdown_wait`

Data type: `Optional[Integer[0]]`



Default value: $candlepin::params::shutdown_wait

##### `expired_pools_schedule`

Data type: `String`



Default value: $candlepin::params::expired_pools_schedule

